# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignPresentedItemSelect Class Reference

`#include <StepAP214_AutoDesignPresentedItemSelect.hxx>`

Inheritance diagram for StepAP214_AutoDesignPresentedItemSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_AutoDesignPresentedItemSelect ()
| Returns a AutoDesignPresentedItemSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a AutoDesignPresentedItemSelect Kind Entity that is : 1 -> ProductDefinition, 2 -> ProductDefinitionRelationship, 3 -> ProductDefinitionShape 4 -> RepresentationRelationship 5 -> ShapeAspect 6 -> DocumentRelationship, 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship | ProductDefinitionRelationship () const
| returns Value as a ProductDefinitionRelationship (Null if another type)
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| returns Value as a ProductDefinition (Null if another type)
Standard_EXPORT Handle_StepRepr_ProductDefinitionShape | ProductDefinitionShape () const
| returns Value as a ProductDefinitionShape (Null if another type)
Standard_EXPORT Handle_StepRepr_RepresentationRelationship | RepresentationRelationship () const
| returns Value as a RepresentationRelationship (Null if another type)
Standard_EXPORT Handle_StepRepr_ShapeAspect | ShapeAspect () const
| returns Value as a ShapeAspect (Null if another type)
Standard_EXPORT Handle_StepBasic_DocumentRelationship | DocumentRelationship () const
| returns Value as a DocumentRelationship (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignPresentedItemSelect::StepAP214_AutoDesignPresentedItemSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepAP214_AutoDesignPresentedItemSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_DocumentRelationship StepAP214_AutoDesignPresentedItemSelect::DocumentRelationship | ( |  | ) | const

void StepAP214_AutoDesignPresentedItemSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_AutoDesignPresentedItemSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_AutoDesignPresentedItemSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepAP214_AutoDesignPresentedItemSelect::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship StepAP214_AutoDesignPresentedItemSelect::ProductDefinitionRelationship | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ProductDefinitionShape StepAP214_AutoDesignPresentedItemSelect::ProductDefinitionShape | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationRelationship StepAP214_AutoDesignPresentedItemSelect::RepresentationRelationship | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepAP214_AutoDesignPresentedItemSelect::ShapeAspect | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignPresentedItemSelect.hxx